<?xml version="1.0"?>
<!-- This file is autogenerated; comments and unknown tags will be stripped -->
<mameconfig version="10">
    <system name="tgm2p">
        <input>
            <port tag="INPUTS" type="START2" mask="65536" defvalue="65536">
                <newseq type="standard">
                    KEYCODE_1
                </newseq>
            </port>
            <port tag="INPUTS" type="P2_BUTTON3" mask="131072" defvalue="131072">
                <newseq type="standard">
                    KEYCODE_P
                </newseq>
            </port>
            <port tag="INPUTS" type="P2_BUTTON2" mask="262144" defvalue="262144">
                <newseq type="standard">
                    KEYCODE_O
                </newseq>
            </port>
            <port tag="INPUTS" type="P2_BUTTON1" mask="524288" defvalue="524288">
                <newseq type="standard">
                    KEYCODE_I
                </newseq>
            </port>
            <port tag="INPUTS" type="START1" mask="16777216" defvalue="16777216">
                <newseq type="standard">
                    KEYCODE_4
                </newseq>
            </port>
            <port tag="INPUTS" type="P1_BUTTON3" mask="33554432" defvalue="33554432">
                <newseq type="standard">
                    KEYCODE_C
                </newseq>
            </port>
            <port tag="INPUTS" type="P1_BUTTON2" mask="67108864" defvalue="67108864">
                <newseq type="standard">
                    KEYCODE_X
                </newseq>
            </port>
            <port tag="INPUTS" type="P1_BUTTON1" mask="134217728" defvalue="134217728">
                <newseq type="standard">
                    KEYCODE_Z
                </newseq>
            </port>
            <port tag="INPUTS" type="P1_JOYSTICK_LEFT" mask="268435456" defvalue="268435456">
                <newseq type="standard">
                    KEYCODE_LEFT
                </newseq>
            </port>
            <port tag="INPUTS" type="P1_JOYSTICK_RIGHT" mask="536870912" defvalue="536870912">
                <newseq type="standard">
                    KEYCODE_RIGHT
                </newseq>
            </port>
            <port tag="INPUTS" type="P1_JOYSTICK_DOWN" mask="1073741824" defvalue="1073741824">
                <newseq type="standard">
                    KEYCODE_DOWN
                </newseq>
            </port>
        </input>
        <mixer>
            <channel index="0" defvol="1.000000" newvol="0.500000" />
            <channel index="1" defvol="1.000000" newvol="0.000000" />
            <channel index="2" defvol="1.000000" newvol="0.500000" />
            <channel index="3" defvol="1.000000" newvol="0.000000" />
        </mixer>
    </system>
</mameconfig>
